# Loader | tablefilter v0.1.15 API Document

    import {Loader} from 'tablefilter/src/modules/loader.js'

public class | source

# Loader

#### Extends:

Feature → Loader

## Constructor Summary

Public Constructor
public | constructor (tf: Object) Loading message/spinner |

## Member Summary

Public Members
public | initialized : boolean |
public | loaderCloseDelay : number |
public | loaderCssClass : * |
public | loaderDiv : * |
public | loaderHtml : * |
public | loaderText : * |
public | loaderTgtId : * |
public | onHideLoader : * |
public | onShowLoader : * |
public | prfxLoader : string |

## Method Summary

Public Methods
public | destroy () |
public | init () |
public | show (p: *) |

## Inherited Summary

From class Feature
public | config : * |
public | emitter : * |
public | enabled : * |
public | feature : * |
public | initialized : boolean |
public | tf : * |
public | destroy () |
public | disable () |
public | enable () |
public | init () |
public | isEnabled (): * |
public | reset () |

## Public Constructors

### public constructor(tf: Object) source

Loading message/spinner

#### Override:

Feature#constructor

#### Params:

Name | Type | Attribute | Description
tf | Object |  | TableFilter instance

## Public Members

### public initialized: boolean source

#### Override:

Feature#initialized

### public loaderCloseDelay: number source

### public loaderCssClass: * source

### public loaderDiv: * source

### public loaderHtml: * source

### public loaderText: * source

### public loaderTgtId: * source

### public onHideLoader: * source

### public onShowLoader: * source

### public prfxLoader: string source

## Public Methods

### public destroy() source

#### Override:

Feature#destroy

### public init() source

#### Override:

Feature#init

### public show(p: *) source

#### Params:

Name | Type | Attribute | Description
p | * |  |